<?php

// This needs to process steps.inc.php in order to show the screens needed till done.
// We need the path without the index.php if it's there.
if (substr($_SERVER['REQUEST_URI'],-9) == "index.php"){
	$ck_path = substr($_SERVER['REQUEST_URI'],0,-9);
} else {
	$ck_path = $_SERVER['REQUEST_URI'];
}
		        // Lifetime (min * sec)
session_set_cookie_params((60 * 60),$ck_path);

session_start();
if (($_SESSION['ip_address'] == "") 
    || ($_SESSION['ip_address'] != $_SERVER['REMOTE_ADDR'])
    || ($_SESSION['expires_unixtime'] < time())    
    || ($_SESSION['inactivity_unixtime'] < time())  
    || (empty($_POST))
    ){
	// The session was non-compliant somhow, either it didn't have a ip address store, 
	//  or the ip address stored didn't match that of the computer it was connecting from
	//  or the session expired. 
	session_destroy();
	session_start();
	// This section of code is here becauser we've destroyed the session and are re-creating it.
		$_SESSION['ip_address'] = $_SERVER['REMOTE_ADDR'];
		if ($web_kiosk_expire_session == "")
			$web_kiosk_expire_session = 30; // Minutes
		$_SESSION['expires_unixtime'] = (time() + ($web_kiosk_expire_session * 60));     
		if ($web_kiosk_inactive_expire_session == "") 
			$web_kiosk_inactive_expire_session = 600; // Seconds
		$_SESSION['inactivity_unixtime'] = (time() + ($web_kiosk_inactive_expire_session));  
} else {
	// The session was compliant at least for the tests above.
	// Lets renew the activity timer.
	if ($web_kiosk_inactive_expire_session == "")  
		$web_kiosk_inactive_expire_session = 600; // Seconds
	$_SESSION['inactivity_unixtime'] = (time() + ($web_kiosk_inactive_expire_session));  
}


if (!file_exists('steps.inc.php')){
	print "<h1> This kiosk is not yet installed. </h1>\n";
	print "To install this kiosk, copy steps.inc.php.tpl to steps.inc.php and edit the variables to your desired settings.";
	die;
}
include('steps.inc.php');
if ($_SESSION['event_id'] == ""){
	print "<h1> This Kiosk is not set up correctly. </h1>\n";
	print "The event_id setting needs to be set.";
	die;
}
include('../../theme/themes.inc.php');

//include('../../shared_php/global.inc.php');


/*

// Lets do a db revision check.
	include('../../console/database_update_scripts/database_check.inc.php');
	$globals_tmp['global_settings']['settings_to_fetch'] = 
				array("db_version");
	$globals_tmp = dbio_global_settings_get_settings($globals_tmp);
	if (is_array($globals_tmp['global_settings']['settings'])){
		foreach($globals_tmp['global_settings']['settings'] as $key => $value){
			$_GLOBALS[$key] = $value;
		}
	}
	if ($_GLOBALS['db_version'] != CURRENT_DB_VERSION){
		web_header("Upgrade in Progress",false);
		print "This software is currently undergoing a software upgrade. Please try to register again later.";
		web_footer();
		exit;	
	}
*/
	
// If we're here we passed the revision check.	
web_header("Reg Kiosk",false);
$skip_remaining_functions = false;
	
$data = $_POST;

// the following line is to avoid someone injecting the UID and getting someone's name from the results.
unset( $data['registrant_uid'] );

//$data = $_POST;
$data['system_form_action'] = "index.php";
$data['system_form_method'] = "POST";
$data['system_form_name'] = "this_form";

$tmp['events_event_id'] = "TEST";
//$tmp = dbio_events_get_data_blob($tmp);
/*
 * This would be where we typicallky import data blob for the event.
 *     So we'll load a fake one.
 */
		$tmp = array (
		'events_event_id' => 'TEST',
		'events_event_title' => 'AwesomeCon',
		'events_start_date' => date('Y-m-d',strtotime('+30 days')),
		'events_end_date' => date('Y-m-d',strtotime('+33 days')),
		'events_age_of_maturity' => '18',
		'events_pre_reg_end_date' => date('Y-m-d',strtotime('+10 days')),
		'events_url' => 'https://www.example.com/',
		'events_read_only' => 'N',
		'events_default_badge_type' => 'zebra4x1',
		'events_default_badge_display_code' => 'FNOT',
		'events_gateway_processor' => 'none',
		'events_gateway_id' => '',
		'events_gateway_key' => '',
		'events_gateway_cashier_uid' => '',
		'events_paypal_cashier_id' => '',
		'events_paypal_client_id' => '',
		'events_paypal_secret_key' => '',
		'events_paypal_client_id_sandbox' => '',
		'events_paypal_secret_key_sandbox' => '',
		'events_receipt_width' => '41',
		'events_receipt_setupchars' => '',
		'events_receipt_header' => '',
		'events_receipt_footer' => '',
		'events_receipt_trailingchars' => '',
		'events_receipt_format' => 'html',
		'events_invoice_image_uid' => '0',
		'events_invoice_image_only' => '',
		'events_event_address_1' => 'Company name',
		'events_event_address_2' => '1234 Something',
		'events_event_address_3' => 'Suite 200',
		'events_event_address_4' => 'gotham, GH, USA',
		'error' => false,
		);
				

$tmp['date1'] = $tmp['events_pre_reg_end_date'];


// If we have script shutdown date, we want to override the pre-reg end date
if ($_SESSION['script_shutdown_date'] != ""){
	$tmp['date1'] = $_SESSION['script_shutdown_date'];
}
	$tmp['date2'] = date('Y-m-d');
	$tmp = compare_date($tmp);
	
	




if (($tmp['time_diff_real'] > 0 ) && ($kiosk_closes_at_end_date == true)) {
	print "<h1> Pre registration for $tmp[events_event_title] is now closed</h1>";
	print "<P>\n";
	print "We look forward to seeing you at the convention!<P>";
} else if ($tmp['events_read_only'] == "Y"){
	print "<h1> " . $tmp['events_event_title'] . " is marked READ_ONLY</h1>";
	print "<P>\n";
	print "We will be unable to register you for this event!<P>";
} else {
	foreach($steps as $step) {
		// So basically what we're going to do is go through each step as a step. And then if that step returns true,
		//    that means that that step has output something to the screen and we want to exit the loop.
		// If that step returned false, then the step has run, and it is saying it has all the data needed collected, to go
		//    onto the next step.
		unset($starting_function);
		if ($skip_remaining_functions) {
		} else {
			require("test_steps/$step" . ".inc.php");
			$starting_function = "kiosk_screens_" . "$step" . "_main";
			$data = $starting_function($data);
			if ($data['error'] == true) {
				$skip_remaining_functions = true;
				$last_step = $step;
			}
		}
	}
	
}
//print "<pre>  $debug_statement </pre>\n";
web_footer();


function compare_date($data){
	$date1 = $data['date1'];
	$date2 = $data['date2'];
	list ($date1,$ignore) = explode(" ",trim($date1));
	list ($date2,$ignore) = explode(" ",trim($date2));
	list ($year1,$month1,$day1) = explode("-",$date1);
	list ($year2,$month2,$day2) = explode("-",$date2);
	$unixtime1 = mktime(NULL,NULL,NULL,$month1,$day1,$year1);
	$unixtime2 = mktime(NULL,NULL,NULL,$month2,$day2,$year2);
	$unixtimediff = ($unixtime2 - $unixtime1);
	//print "$unixtimediff = $unixtime2 - $unixtime1<P>";
	
	if ($unixtimediff < 0){
		$data['time_result'] = "2>1";
	} else if ($unixtimediff == 0) {
		$data['time_result'] = "2=1";
	} else if ($unixtimediff > 0) {
		$data['time_result'] = "1>2";
	}
	$data['time_diff_real'] = $unixtimediff; 
	$data['time_diff_sec'] = abs($unixtimediff);
	$data['time_diff_min'] = round((abs($unixtimediff)/60),0);
	$data['time_diff_hr'] = round((abs($unixtimediff)/60/60),0);
	$data['time_diff_day'] = round((abs($unixtimediff)/60/60/25),0);
	$data['time_diff_yr'] = round((abs($unixtimediff)/60/60/25/365),0);
	return $data;

}


?>